#ifndef _STRINGBUFFER_H
#define _STRINGBUFFER_H

#include <stdio.h>

class StringBuffer
{
 public:
  StringBuffer();
  ~StringBuffer();

  int getSize();
  char *getBuf();

  int append(char c);
  int append(const char *s);
  int appendf(const char *fmt, ...);

 private:
  void grow();
  
  char *_b;
  int _allocated;
  int _size;
};

#endif
